Category: Data inconsistency   

Description

Hello,

In the wave 9 file iegoalt, there appears to be inconsistencies for 2 households between the pids for household members and the

opids.

The two households have ihid codes of 9291369 and 9300333.  The pid codes agree with those in iindall. However, for each

household, there is one opid code that is not among the pid codes (93495684 and 93603606 respectively).

It is only 2 cases, but I just want to be sure I am not missing something. I am using the iegoalt file from 31/5/2007.

Many thanks,

Fiona

History

#1 - 07/05/2016 12:56 PM - Victoria Nolan

- Category set to Data inconsistency

- Status changed from New to Feedback

- Assignee set to Fiona Steele

- Target version set to BHPS

- % Done changed from 0 to 90

Dear Fiona,

Many thanks for your enquiry.

We can confirm that the problem exists as you have identified, including in the latest version of the data set.  We note that both the opid’s start with a

9, indicating a wave 9 entrant, but the pid associated with the opno on indall starts with a 6 or 7 (see below) indicating they joined the panel earlier. 

What has probably happened is that someone was identified as a new entrant, but at a later stage was identified as a rejoiner and their previous pid

was reassigned on the indall file, but the egoalt file was not corrected at the same time.  We will see if we can correct this in a subsequent release of

BHPS.

--------------------------------------------

                ihid   ipno   iopno        pid      iopid 

                ----------------------------------------------

1.            9291369      1       2   15542149   93495684 

2.            9291369      1       3   15542149   93495706 

3.            9291369      1       4   15542149   15542106 

4.            9291369      2       1   72685158   15542149 

5.            9291369      2       3   72685158   93495706 

                ----------------------------------------------

6.            9291369      2       4   72685158   15542106 

7.            9291369      3       1   93495706   15542149 

8.            9291369      3       2   93495706   93495684 

9.            9291369      3       4   93495706   15542106 

10.          9291369      4       1   15542106   15542149 

                ----------------------------------------------

11.          9291369      4       2   15542106   93495684 

12.          9291369      4       3   15542106   93495706 

13.          9300333      1       2   13826883   93603606 

14.          9300333      2       1   68817886   13826883 

                --------------------------------------------

 We hope this helps,
Best wishes, Victoria.

#2 - 07/05/2016 03:15 PM - Fiona Steele

Hi Victoria,

Thanks very much for clearing up the mystery so quickly.  This makes sense.

Best wishes,

Fiona

#3 - 07/05/2016 03:20 PM - Victoria Nolan

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

No problem, glad this has helped.

Victoria.

#4 - 02/19/2026 05:32 PM - Understanding Society  User Support Team

- Private changed from Yes to No

#5 - 02/19/2026 06:39 PM - Understanding Society  User Support Team

- Status changed from Closed to Resolved

- Assignee changed from Fiona Steele to Understanding Society  User Support Team
